Package org.eclipse.birt.report.model.api.scripts

# Class MemberInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.MemberInfo

All Implemented Interfaces:
  `ILocalizableInfo`, `IMemberInfo`

public class MemberInfo extends Object implements IMemberInfo
Represents the definition of class member. The class member defines the member type besides name, display name ID and tool tip ID.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MemberInfo(Field field)`

## Method Summary

Modifier and Type
Method
Description
`IClassInfo`
`getClassType()`
Returns the member type in Class.
`String`
`getDataType()`
Returns the script data type of this member.
`String`
`getDisplayName()`
Returns the display name if the resource key of display name is available.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`String`
`getName()`
Returns the definition name.
`String`
`getToolTip()`
Returns the tool tip if the resource key of tool tip is available.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.
`boolean`
`isStatic()`
Returns whether this member is static.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemberInfo

protected MemberInfo(Field field)

## Method Details

### getDataType

public String getDataType()
Description copied from interface: `IMemberInfo`
Returns the script data type of this member.

Specified by:
  `getDataType` in interface `IMemberInfo`
Returns:
  the script data type of this member

### isStatic

public boolean isStatic()
Returns whether this member is static.

Specified by:
  `isStatic` in interface `IMemberInfo`
Returns:
  `true` if this member is true.

### getToolTip

public String getToolTip()
Description copied from interface: `ILocalizableInfo`
Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

Specified by:
  `getToolTip` in interface `ILocalizableInfo`
Returns:
  the tool tip

### getToolTipKey

public String getToolTipKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for tool tip.

Specified by:
  `getToolTipKey` in interface `ILocalizableInfo`
Returns:
  the resource key for tool tip

### getDisplayName

public String getDisplayName()
Description copied from interface: `ILocalizableInfo`
Returns the display name if the resource key of display name is available. Otherwise, return empty string.

Specified by:
  `getDisplayName` in interface `ILocalizableInfo`
Returns:
  the display name

### getDisplayNameKey

public String getDisplayNameKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for display name.

Specified by:
  `getDisplayNameKey` in interface `ILocalizableInfo`
Returns:
  the resource key for display name

### getName

public String getName()
Description copied from interface: `ILocalizableInfo`
Returns the definition name.

Specified by:
  `getName` in interface `ILocalizableInfo`
Returns:
  the name of this definition

### getClassType

public IClassInfo getClassType()
Description copied from interface: `IMemberInfo`
Returns the member type in Class.

Specified by:
  `getClassType` in interface `IMemberInfo`
Returns:
  the member type